VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vapi::metadata::metamodel::GenericInstantiation Class Reference

The `GenericInstantiation` class describes the type information of a typed element when the type is an instantiation of one of the generic types provided by the infrastructure. More...

List of all members.

## Classes
class | GenericType
| The `GenericInstantiation.GenericType` enumerated type provides enumeration values for each of the generic types provided by the infrastructure. More...
## Public Member Functions
| GenericInstantiation ()
| Creates a default new instance.
vmware.vapi.metadata.metamodel.GenericInstantiation.GenericType | GetGenericType ()
| The generic type that is being instantiated.
void | SetGenericType (vmware.vapi.metadata.metamodel.GenericInstantiation.GenericType genericType)
| The generic type that is being instantiated.
vmware.vapi.metadata.metamodel.Type | GetElementType ()
| Type of the element parameter if the generic type instantiation is a GenericInstantiation.GenericType.LIST , GenericInstantiation.GenericType.OPTIONAL or GenericInstantiation.GenericType.SET .
void | SetElementType (vmware.vapi.metadata.metamodel.Type elementType)
| Type of the element parameter if the generic type instantiation is a GenericInstantiation.GenericType.LIST , GenericInstantiation.GenericType.OPTIONAL or GenericInstantiation.GenericType.SET .
vmware.vapi.metadata.metamodel.Type | GetMapKeyType ()
| Type of the key parameter of the map generic type instantiation.
void | SetMapKeyType (vmware.vapi.metadata.metamodel.Type mapKeyType)
| Type of the key parameter of the map generic type instantiation.
vmware.vapi.metadata.metamodel.Type | GetMapValueType ()
| Type of the value parameter of the map generic type instantiation.
void | SetMapValueType (vmware.vapi.metadata.metamodel.Type mapValueType)
| Type of the value parameter of the map generic type instantiation.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `GenericInstantiation` class describes the type information of a typed element when the type is an instantiation of one of the generic types provided by the infrastructure.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::GenericInstantiation::GenericInstantiation | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::GenericInstantiation::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::GenericInstantiation::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::GenericInstantiation::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::GenericInstantiation::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::GenericInstantiation::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::GenericInstantiation::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::GenericInstantiation::GetElementType | ( |  | ) | `[inline]`

Type of the element parameter if the generic type instantiation is a GenericInstantiation.GenericType.LIST , GenericInstantiation.GenericType.OPTIONAL or GenericInstantiation.GenericType.SET .

vmware.vapi.metadata.metamodel.GenericInstantiation.GenericType vmware::vapi::metadata::metamodel::GenericInstantiation::GetGenericType | ( |  | ) | `[inline]`

The generic type that is being instantiated.

override int vmware::vapi::metadata::metamodel::GenericInstantiation::GetHashCode | ( |  | ) | `[inline]`

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::GenericInstantiation::GetMapKeyType | ( |  | ) | `[inline]`

Type of the key parameter of the map generic type instantiation.

The map generic type has a key parameter and value parameter. The type of the value parameter is described by GenericInstantiation.mapValueType ..

vmware.vapi.metadata.metamodel.Type vmware::vapi::metadata::metamodel::GenericInstantiation::GetMapValueType | ( |  | ) | `[inline]`

Type of the value parameter of the map generic type instantiation.

The map generic type has a key parameter and value parameter. The type of the key parameter is described by GenericInstantiation.mapKeyType ..

void vmware::vapi::metadata::metamodel::GenericInstantiation::SetElementType | ( | vmware.vapi.metadata.metamodel.Type | elementType | ) | `[inline]`

Type of the element parameter if the generic type instantiation is a GenericInstantiation.GenericType.LIST , GenericInstantiation.GenericType.OPTIONAL or GenericInstantiation.GenericType.SET .

void vmware::vapi::metadata::metamodel::GenericInstantiation::SetGenericType | ( | vmware.vapi.metadata.metamodel.GenericInstantiation.GenericType | genericType | ) | `[inline]`

The generic type that is being instantiated.

void vmware::vapi::metadata::metamodel::GenericInstantiation::SetMapKeyType | ( | vmware.vapi.metadata.metamodel.Type | mapKeyType | ) | `[inline]`

Type of the key parameter of the map generic type instantiation.

The map generic type has a key parameter and value parameter. The type of the value parameter is described by GenericInstantiation.mapValueType ..

void vmware::vapi::metadata::metamodel::GenericInstantiation::SetMapValueType | ( | vmware.vapi.metadata.metamodel.Type | mapValueType | ) | `[inline]`

Type of the value parameter of the map generic type instantiation.

The map generic type has a key parameter and value parameter. The type of the key parameter is described by GenericInstantiation.mapKeyType ..

override string vmware::vapi::metadata::metamodel::GenericInstantiation::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- GenericInstantiation.cs